﻿app {
    position: relative;
    display: flex;
    flex-direction: column;
}

#blazor-error-ui {
    background: #C52A1A;
    color: #FFFFFF;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .reload {
        color: #FFFFFF;
        font-weight: bold;
    }

    #blazor-error-ui .dismiss {
        color: #FFFFFF;
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* appkit messaging (feeds&comments)*/
:root {
    --blue: #007bff;
    --indigo: #6610f2;
    --purple: #6f42c1;
    --pink: #e83e8c;
    --red: #dc3545;
    --orange: #fd7e14;
    --yellow: #ffc107;
    --green: #28a745;
    --teal: #20c997;
    --cyan: #17a2b8;
    --white: #fff;
    --gray: #6c757d;
    --gray-dark: #343a40;
    --primary: #007bff;
    --secondary: #6c757d;
    --success: #28a745;
    --info: #17a2b8;
    --warning: #ffc107;
    --danger: #dc3545;
    --light: #f8f9fa;
    --dark: #343a40;
    --breakpoint-xs: 0;
    --breakpoint-sm: 1147px;
    --breakpoint-md: 1339px;
    --breakpoint-lg: 1563px;
    --breakpoint-xl: 1771px;
    --font-family-sans-serif: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
    --font-family-monospace: SFMono-Regular,Menlo,Monaco,Consolas,"Liberation Mono","Courier New",monospace;
    --theme-color-lighter: #FAFAFA;
    --theme-color-main: #F5F5F5;
    --theme-color-breadcrumbborder: #EEEEEE;
    --theme-color-description: #464646;
    --theme-color-textgray: #333333;
    --theme-color-samplecodeicon: #9E9E9E;
    --theme-color-control: #D04A02;
    --theme-color-subscribe: #6B2601;
    --theme-color-light: #FFFFFF;
    --theme-color-header: #FFFFFF;
    --theme-color-content: #F2F2F2;
    --theme-color-input: #F2F2F2;
    --theme-color-inputbtn: #F2F2F2;
    --theme-color-inputbtnhover: #FFFFFF;
    --theme-color-dropdown: #F5F5F5;
    --theme-color-font: #2D2D2D;
    --theme-color-customsortclosebtn: rgba(0, 0, 0, .85);
    --theme-color-modal: #FFFFFF;
    --theme-color-wrapper: #FBFBFB;
    --theme-color-panel: #FFFFFF;
    --theme-color-logo: #000;
    --theme-color-logobg: #FFFFFF;
    --theme-color-dropicon: #212121;
    --theme-color-chartfont: #666666;
    --theme-color-mapbg: rgba(255, 255, 255, .85);
    --theme-color-hoverfont: #000000;
    --theme-color-dprange: #F6DBCB;
    --theme-color-dptoday: #FFE6A2;
    --theme-color-dpother: #EEEEEE;
    --theme-color-dptime: #F5F5F5;
    --theme-color-dpcell: #F5F5F5;
    --theme-color-dpcurrent: #2D2D2D;
    --theme-color-filter: #2D2D2D;
    --theme-color-search: #FFFFFF;
    --theme-color-link: #D04A02;
    --theme-color-versionbd: #F5F5F5;
    --theme-color-bdgsecondary: #DEDEDE;
    --theme-color-bdglight: #F2F2F2;
    --theme-color-bdgdark: #2D2D2D;
    --theme-color-bdglightfont: #7D7D7D;
    --theme-color-arrow: #9E9E9E;
    --theme-color-arrowbdb: #BDBDBD;
    --theme-color-btnprihover: #D96E34;
    --theme-color-btnpriactive: #A63B01;
    --theme-color-btngray: #EEEEEE;
    --theme-color-btngrayhover: #F5F5F5;
    --theme-color-btngrayactive: #E0E0E0;
    --theme-color-btngraytext: #2D2D2D;
    --theme-color-btntrsgrayhover: #EEEEEE;
    --theme-color-btngroupgray: #9E9E9E;
    --theme-color-sidebarhover: #F5F5F5;
    --theme-color-btndisablefont: #9E9E9E;
    --theme-color-disableopacity: 1;
    --theme-color-toggledisableon: #FEB791;
    --theme-color-toggledisableoff: #E0E0E0;
    --theme-color-checkboxborder: #E0E0E0;
    --theme-color-selectortext: #BDBDBD;
    --theme-color-btndisabletext: #9E9E9E;
    --theme-color-btndisablebg: #EEEEEE;
    --theme-color-btndisablenegative: #EEEEEE;
    --theme-color-btndisablegray: #EEEEEE;
    --theme-color-btndisablesecondaryborder: #E0E0E0;
    --theme-color-btndisablesecondarytext: #BDBDBD;
    --theme-color-btndisablenegativeborder: #E0E0E0;
    --theme-color-btndisablenegativetext: #BDBDBD;
    --theme-color-btndisablegrayborder: #E0E0E0;
    --theme-color-btndisablegraytext: #BDBDBD;
    --theme-color-responsivetabswitchdisable: #E0E0E0;
    --theme-color-editorbg: #FFFFFF;
    --theme-color-editorbtn: #FFFFFF;
    --theme-color-editorborder: #EEEEEE;
    --theme-color-editorbarborder: #9E9E9E;
    --theme-color-editorfont: #2D2D2D;
    --theme-color-editordropdownselectedfont: #000000;
    --theme-color-editorhover: #F5F5F5;
    --theme-color-fieldborder: #DEDEDE;
    --theme-color-fieldborderdisable: transparent;
    --theme-color-fieldbutton: #DEDEDE;
    --theme-color-navheader: #FFFFFF;
    --theme-color-mdborder: #E8E9E9;
    --theme-color-mdtextdesc: #9E9E9E;
    --theme-color-iconbtn: #9E9E9E;
    --theme-color-ntdefault: #D04A02;
    --theme-color-ntdark: #2D2D2D;
    --theme-color-ntdarkbgsetting: #FAFAFA;
    --theme-color-ntwarningicon: #2D2D2D;
    --theme-color-ntwarningtimericon: #FFFFFF;
    --theme-color-ntalertclosebtn: #9E9E9E;
    --theme-color-ntalertdarkbg: #FAFAFA;
    --theme-color-ntalertdarkbdg: #2D2D2D;
    --theme-color-ntalertinfobg: #FAFAFA;
    --theme-color-ntalertinfobdg: #DE536F;
    --theme-color-ntalertsucbg: #FAFAFA;
    --theme-color-ntalertsucbdg: #22992E;
    --theme-color-ntalertwarnbg: #FAFAFA;
    --theme-color-ntalertwarnbdg: #FFBF1F;
    --theme-color-ntalertwarntxt: #2D2D2D;
    --theme-color-ntalertwarnclosebtn: #9E9E9E;
    --theme-color-ntalerterrorbg: #FAFAFA;
    --theme-color-ntalerterrorbdg: #C52A1A;
    --theme-color-ntalertbadge: #2D2D2D;
    --theme-color-alinfo: #DE536F;
    --theme-color-aldark: #2D2D2D;
    --theme-color-alcircle: #9E9E9E;
    --theme-color-bddark: #2D2D2D;
    --theme-color-pnborder: #DEDEDE;
    --theme-color-headerinput: #F2F2F2;
    --theme-color-headerbd: #EEEEEE;
    --theme-color-panelheaderbd: #EEEEEE;
    --theme-color-headerbtn: #EEEEEE;
    --theme-color-headerbtnhover: #F5F5F5;
    --theme-color-headerbtnactive: #E0E0E0;
    --theme-color-panelbg: #FFFFFF;
    --theme-color-panelsubcomponentbkg: #F5F5F5;
    --theme-color-panelwrapper: #F2F2F2;
    --theme-color-paneldark: #FAFAFA;
    --theme-color-panelnestinginput: #F2F2F2;
    --theme-color-rtyellowstar: #FFB230;
    --theme-color-rtinactive: #E0E0E0;
    --theme-color-rtinactivelight: #F5F5F5;
    --theme-color-rtinactivegray: #D8D8D8;
    --theme-color-rtbargray: #E0E0E0;
    --theme-color-rtbarlight: #F5F5F5;
    --theme-color-rtwhitebg: #FFFFFF;
    --theme-color-rtreviewbglight: #FFFFFF;
    --theme-color-rtreviewbgdark: #F5F5F5;
    --theme-color-verbox: #FFFFFF;
    --theme-color-btnneg: #C62B12;
    --theme-color-btnneghover: #CF4D38;
    --theme-color-btnnegactive: #A6240F;
    --theme-color-btnsechover: rgba(254, 238, 233, .5);
    --theme-color-btnsecactive: rgba(253, 205, 190, .5);
    --theme-color-btnsecneghover: rgba(221, 128, 117, .16);
    --theme-color-btnsecnegactive: rgba(221, 128, 117, .31);
    --theme-color-btnsecgray: #9E9E9E;
    --theme-color-btnsecgrayhover: #F5F5F5;
    --theme-color-btnsecgrayactive: #EEEEEE;
    --theme-color-btnsecgraytext: #2D2D2D;
    --theme-color-btnfloatloading: #FFFFFF;
    --theme-color-tabfont: #9E9E9E;
    --theme-color-tabhover: #2D2D2D;
    --theme-color-tabhoverunderline: #2D2D2D;
    --theme-color-tablehead: #E0E0E0;
    --theme-color-tablecontent: #FFFFFF;
    --theme-color-curpage: #F5F5F5;
    --theme-color-pageborder: #DEDEDE;
    --theme-color-pagebg: #FFFFFF;
    --theme-color-icon: #2D2D2D;
    --theme-color-draft: #D0D0D0;
    --theme-color-checkbox: #9E9E9E;
    --theme-color-checkboxhover: #9E9E9E;
    --theme-color-filtererror: #D25646;
    --theme-color-filtercomp: #38963C;
    --theme-color-accwrapper: #FFFFFF;
    --theme-color-toggleoff: #BDBDBD;
    --theme-color-badgeinfo: #D93954;
    --theme-color-anchor: rgba(0, 0, 0, .38);
    --theme-color-comment: #9E9E9E;
    --theme-color-commentsel: #9E9E9E;
    --theme-color-placeholder: #9E9E9E;
    --theme-color-disableplaceholder: #DEDEDE;
    --theme-color-dropdownactive: rgba(246, 219, 203, .5);
    --theme-color-dropdownhover: #EEEEEE;
    --theme-color-headerdropdownhover: rgba(246, 219, 203, .5);
    --theme-color-pagecarousel: #BDBDBD;
    --theme-color-slider: #E0E0E0;
    --theme-color-slidergreen: #49AE54;
    --theme-color-sliderred: #C62B12;
    --theme-color-slideryellow: #FFC100;
    --theme-color-sliderpurple: #8052C4;
    --theme-color-accbg: #F5F5F5;
    --theme-color-acchover: #FAFAFA;
    --theme-color-accgreybg: #EEEEEE;
    --theme-color-accbgwithgreybg: #FFFFFF;
    --theme-color-breadwithgreybg: #F2F2F2;
    --theme-color-breadcrumbdivider: #E0E0E0;
    --theme-color-paginationpanelbg: #FAFAFA;
    --theme-color-crumbborder: #e0e0e0;
    --theme-color-tabborder: #F5F5F5;
    --theme-color-tooltip: #2D2D2D;
    --theme-color-sidebar: #FFFFFF;
    --theme-color-sidebarborder: #DADCE0;
    --theme-color-homepageborder: #F8F8F8;
    --theme-color-filemain: #F5F5F5;
    --theme-color-grayLightC7: #999999;
    --theme-color-darkfilepanel: #F5F5F5;
    --theme-color-fileThirdPanel: #FAFAFA;
    --theme-color-fileFourthPanel: #FFFFFF;
    --theme-color-headersOfNavHeader: #FFFFFF;
    --theme-color-navigationThirdPanel: #eee;
    --theme-color-navigationhover: #FFFFFF;
    --theme-color-uploadSuccessBorder: rgba(0, 0, 0, 0.2);
    --theme-color-filterThirdPanel: #FBFBFB;
    --theme-color-filterDraft: #D0D0D0;
    --theme-color-customizeTooltipText: #DEDEDE;
    --theme-color-sliderEmpty: #e0e0e0;
    --theme-color-deleteIcon: #2D2D2D;
    --theme-color-uploadDrop: #9E9E9E;
    --theme-color-uploadtext: #616161;
    --theme-color-sliderBlueCircle: #25B4F8;
    --theme-color-sliderPurpleCircle: #8052C4;
    --theme-color-table2nLine: #F5F5F5;
    --theme-color-tablebodyregular: #FFF;
    --theme-color-tablehovertext: #2D2D2D;
    --theme-color-landingborder: #D8D8D8;
    --theme-color-landingtitle: #212121;
    --theme-color-landingdescription: #313131;
    --theme-color-modallistborder: #EEEEEE;
    --theme-color-modalinputfocus: #FFFFFF;
    --theme-color-reviewinputfocus: #FFFFFF;
    --theme-color-darkorange: #2D2D2D;
    --theme-color-listgreybg: #F2F2F2;
    --theme-color-listwithgreybg: #FFFFFF;
    --theme-color-samplecodebox: #F5F2F0;
    --theme-color-samplecodeshadow: #FFFFFF;
    --theme-color-getStartBannerNotice: #FFECBD;
    --theme-color-progressopacity: .3;
    --theme-color-progressactive: #FFFFFF;
    --theme-color-sliderrangedefault: #F6DBCB;
    --theme-color-progressidle: #D8D8D8;
    --theme-color-progresstext: #999999;
    --theme-color-progressbefore: #E39267;
    --theme-color-progressindicator: #9E9E9E;
    --theme-color-listopacity: .5;
    --theme-color-listdescription: #2D2D2D;
    --theme-color-purewhite: #FFFFFF;
    --theme-color-subtitle: #9E9E9E;
    --theme-color-ffb230: #FFB230;
    --theme-color-e0e0e0: #e0e0e0;
    --theme-color-ffffff: var(--theme-color-purewhite);
    --theme-color-2d2d2d: #2D2D2D;
    --theme-color-9e9e9e: #9e9e9e;
    --theme-color-888888: #888888;
    --theme-color-646464: #646464;
    --theme-color-d8d8d8: #d8d8d8;
    --theme-color-38963c: #38963C;
    --theme-color-ffbf1f: #FFBF1F;
    --theme-color-d25646: #D25646;
    --theme-color-d0d0d0: #D0D0D0
}

.messaging-wrapper {
    font-size: .875rem;
    font-weight: normal;
    font-style: normal;
    font-stretch: normal;
    letter-spacing: normal;
    text-align: left;
    color: var(--theme-color-font);
    line-height: 0;
    display: inline-block;
}

    .messaging-wrapper.gray .messaging .messaging-detail .messaging-content {
        background-color: var(--theme-color-light);
    }

    .messaging-wrapper .messaging {
        display: flex;
        align-items: flex-end;
        margin-bottom: 1rem;
    }

        .messaging-wrapper .messaging .messaging-name-short {
            min-width: 1.5rem;
            height: 1.5rem;
            background-color: #888888;
            border-radius: 1.5rem;
            margin-bottom: 1rem;
        }

        .messaging-wrapper .messaging .messaging-detail {
            white-space: normal;
            /*            max-width: 39.375rem;*/
        }

            .messaging-wrapper .messaging .messaging-detail .messaging-content {
                line-height: 1.71;
                background-color: var(--theme-color-main);
                padding: 1.25rem;
                overflow-x: auto;
                -ms-overflow-style: none;
                color: var(--theme-color-description);
            }

                .messaging-wrapper .messaging .messaging-detail .messaging-content .messaging-words {
                    color: var(--theme-color-control);
                    font-weight: 500;
                }

            .messaging-wrapper .messaging .messaging-detail .messaging-info {
                /*margin-top: .625rem;*/
                line-height: 1.67;
            }

                .messaging-wrapper .messaging .messaging-detail .messaging-info .messaging-name {
                    font-size: .75rem;
                    font-weight: 500;
                    color: var(--theme-color-control);
                }

                .messaging-wrapper .messaging .messaging-detail .messaging-info .messaging-time {
                    font-size: .75rem;
                    margin-left: .25rem;
                    color: #9E9E9E;
                }

        .messaging-wrapper .messaging.messaging-left {
            justify-content: flex-end;
        }

            .messaging-wrapper .messaging.messaging-left .messaging-detail {
                margin-left: 2.125rem;
                margin-right: .625rem;
            }

                .messaging-wrapper .messaging.messaging-left .messaging-detail .messaging-content {
                    border-radius: .625rem .625rem 0 .625rem;
                }

                .messaging-wrapper .messaging.messaging-left .messaging-detail .messaging-info {
                    text-align: right;
                }

        .messaging-wrapper .messaging.messaging-right .messaging-detail {
            margin-left: .625rem;
        }

            .messaging-wrapper .messaging.messaging-right .messaging-detail .messaging-content {
                border-radius: .625rem .625rem .625rem 0;
            }

.mw-100-percent {
    max-width: 100%;
}
/*BlazoredToasts*/
.success-toast-override {
    background-color: #22992E;
}

.warning-toast-override {
    background-color: #FFBF1F;
}

.error-toast-override {
    background-color: #C52A1A;
}

.a-text-italic {
    font-style: italic !important;
}
